Company logoTrust Center Documentation
API v1 ReferenceIntegrationsGoogle docsAuthorized files

Replace authorized Google Drive files

Replaces the tenant's authorized Google Drive asset ID allowlist for the resolved integration connection/environment.

Replaces the tenant's authorized Google Drive asset ID allowlist for the resolved integration connection/environment.

POST
/api/v1/integrations/google-docs/authorized-files

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/google-docs/authorized-files" \  -H "Content-Type: application/json" \  -d '{    "mode": "replace",    "files": [      {        "id": "string"      }    ]  }'
{
  "success": true,
  "data": {
    "connectionId": "string",
    "environment": "dev",
    "integrationUrl": "/integrations",
    "files": [
      {
        "id": "string",
        "meta": {},
        "name": "string",
        "mimeType": "string",
        "url": "string"
      }
    ],
    "mode": "replace",
    "fileCount": 0
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "success": false,
  "code": "integration_required",
  "error": "string",
  "data": {
    "integrationUrl": "/integrations"
  }
}
Empty

How is this guide?